<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: Action Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classAction.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classAction-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Action Class Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="ActionsStack_8hpp_source.html">ActionsStack.hpp</a>&quot;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab3dc4941c77b71ba1425d852185b1f24"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAction.html#ab3dc4941c77b71ba1425d852185b1f24">Action</a> (unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent, int inData = 0)</td></tr>
<tr class="separator:ab3dc4941c77b71ba1425d852185b1f24"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a0eb90dc3ae0778c2ed16b8d6c7e5efa3"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAction.html#a0eb90dc3ae0778c2ed16b8d6c7e5efa3">Id</a></td></tr>
<tr class="separator:a0eb90dc3ae0778c2ed16b8d6c7e5efa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1de2f13560626eab35087eb3aa67be11"><td class="memItemLeft" align="right" valign="top">ACCESSORIES_EVENT_TYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAction.html#a1de2f13560626eab35087eb3aa67be11">Event</a></td></tr>
<tr class="separator:a1de2f13560626eab35087eb3aa67be11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a859b26dbab009b77f3d8c7902fd2d89b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAction.html#a859b26dbab009b77f3d8c7902fd2d89b">Data</a></td></tr>
<tr class="separator:a859b26dbab009b77f3d8c7902fd2d89b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class is an item of the ActionStack. An action is what can be done by the user to ask for a accessory movement. It can be a move, a stop... Other kind of actions can be added in ACCESSORIES_EVENT_TYPE if necessary. </p>

<p class="definition">Definition at line <a class="el" href="ActionsStack_8hpp_source.html#l00011">11</a> of file <a class="el" href="ActionsStack_8hpp_source.html">ActionsStack.hpp</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab3dc4941c77b71ba1425d852185b1f24"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Action::Action </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ACCESSORIES_EVENT_TYPE&#160;</td>
          <td class="paramname"><em>inEvent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inData</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Default constructor </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inId</td><td><a class="el" href="classAction.html#a0eb90dc3ae0778c2ed16b8d6c7e5efa3">Id</a> of the accessory </td></tr>
    <tr><td class="paramname">inEvent</td><td><a class="el" href="classAction.html#a1de2f13560626eab35087eb3aa67be11">Event</a> type </td></tr>
    <tr><td class="paramname">inData</td><td>Associated data for this event. Default is 0. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="ActionsStack_8cpp_source.html#l00009">9</a> of file <a class="el" href="ActionsStack_8cpp_source.html">ActionsStack.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a859b26dbab009b77f3d8c7902fd2d89b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Action::Data</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Associated data. </p>

<p class="definition">Definition at line <a class="el" href="ActionsStack_8hpp_source.html#l00019">19</a> of file <a class="el" href="ActionsStack_8hpp_source.html">ActionsStack.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a1de2f13560626eab35087eb3aa67be11"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ACCESSORIES_EVENT_TYPE Action::Event</td>
        </tr>
      </table>
</div><div class="memdoc">
<p><a class="el" href="classAction.html#a1de2f13560626eab35087eb3aa67be11">Event</a> type. </p>

<p class="definition">Definition at line <a class="el" href="ActionsStack_8hpp_source.html#l00017">17</a> of file <a class="el" href="ActionsStack_8hpp_source.html">ActionsStack.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a0eb90dc3ae0778c2ed16b8d6c7e5efa3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Action::Id</td>
        </tr>
      </table>
</div><div class="memdoc">
<p><a class="el" href="classAction.html#a0eb90dc3ae0778c2ed16b8d6c7e5efa3">Id</a> of the accessory. </p>

<p class="definition">Definition at line <a class="el" href="ActionsStack_8hpp_source.html#l00015">15</a> of file <a class="el" href="ActionsStack_8hpp_source.html">ActionsStack.hpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="ActionsStack_8hpp_source.html">ActionsStack.hpp</a></li>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="ActionsStack_8cpp_source.html">ActionsStack.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classAction.html">Action</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
